Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001215Core InformGlulx issues (files, figures, sounds)public2014-04-01 08:562014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6L02 
Summary0001215: Update infglk.h in Glulx.i6t
DescriptionThe Glulx.i6t template includes infglk.h as a block. The old infglk.h was generated by a Perl script, but now I maintain an up-to-date version in github:

https://github.com/erkyrath/glk-dev/blob/master/dispatch_dump/infglk.h [^]

Thus I remind you to grab it and stick it in, if you haven't already.

(The format is slightly different: Glk calls that return void in the C layer are set up to explicitly return 0 in the I6 layer. This is the same behavior as the old infglk.h, it's just clearer and maybe minutely faster.)
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002603)
graham (administrator)
2014-04-02 11:00

I've done this, though it wasn't really a bug.

- Issue History
Date Modified Username Field Change
2014-04-01 08:56 zarf New Issue
2014-04-02 11:01 graham Note Added: 0002603
2014-04-02 11:01 graham Status new => resolved
2014-04-02 11:01 graham Resolution open => fixed
2014-04-02 11:01 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker